# Runtime APIs

Runtime APIs are served at `https://data.spiceai.io` and authenticated with [App API keys](https://github.com/spicehq/docs/blob/trunk/portal/apps/api-keys.md).

## API

| Endpoint | Documentation |
| --- | --- |
| SQL Query (HTTP) | `POST /v1/sql` [HTTP API](https://docs.spice.ai/api/runtime-apis/sql-query/http-api) |
| SQL Query (Arrow Flight) | `grpc+tls://flight.spiceai.io` [Arrow Flight API](https://docs.spice.ai/api/runtime-apis/sql-query/apache-arrow-flight-api) |
| LLM Chat Completions | `POST /v1/chat/completions` [LLM API](https://docs.spice.ai/api/runtime-apis/openai-api) |
| Search | `POST /v1/search` [Search API](https://docs.spice.ai/api/runtime-apis/search) |
| Health | `GET /health` [Health API](https://docs.spice.ai/api/runtime-apis/health) |
| Metrics | `GET /v1/metrics` [Metrics API](https://docs.spice.ai/api/runtime-apis/metrics) |

# Management API

The Management API is served at `https://api.spice.ai` and authenticated with [Personal Access Tokens](https://github.com/spicehq/docs/blob/trunk/portal/profile/personal-access-tokens.md) or OAuth client credentials.

## Endpoint

| Documentation |
| --- |
| Apps | Apps API |
| Deployments | Deployments API |
| Secrets | Secrets API |
| API Keys | API Keys API |
| Members | Members API |
| Regions | Regions API |
| Container Images | Container Images API |
| Health | Health API |

See the full [Management API reference](https://docs.spice.ai/api/management-api/management) for authentication, scopes, rate limits, and examples.

# OpenAPI Specification

The Spice.ai Platform API spec is available at:

```
https://api.spice.ai/v1/docs/openapi.json
```

Last updated 3 months ago.
